Subject: Re: bug#49253: 27.2; Emacs non-responsive when pasting into terminal-mode

From: Matt Bisson <[email-masked]>
Date: Sat, 16 Jul 2022 15:13:14 -0400

For sure.  Even in emacs 28.2, if I want to paste something into the
terminal buffer, I have to switch to line mode, and back when I'm done.
You just can't paste into the terminal buffer in terminal emacs in key mode.

On Sat, Jul 16, 2022, 8:21 AM Lars Ingebrigtsen <[email-masked]> wrote:

> Matt Bisson <[email-masked]> writes:
>
> > I have observed this behavior from MacOS, with an Emacs running either
> > locally on MacOS, or over SSH (running on Linux).  Without any
> > modifications, a -Q invocation causes "xterm--pasted-text: Failed
> > select: Invalid argument", but without -Q it simply hangs.
>
> (I'm going through old bug reports that unfortunately weren't resolved
> at the time.)
>
> Are you still seeing this problem in recent Emacs versions?
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>